Bug 108187 - Auto detect Oracle version for setting 'useFixForOracle901' flag
Summary: Auto detect Oracle version for setting 'useFixForOracle901' flag
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: persistence (Show other bugs)
(Show other bugs)
Version: nightly
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-28 14:01 UTC by Daniel Berrange
Modified: 2007-04-18 16:58 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 17:26:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Berrange 2003-10-28 14:01:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.9 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
Currently the DBA has to remember to set the 'useFixForOracle901' flag when
running on a Oracle 9.0.1.x DB server. It may be possible to automatically
detect the server version using the String getDatabaseProductVersion() method in
java.sql.DatabaseMetaData class
and thus set this workaround automatically.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. N/a
2.
3.
    

Additional info:

Comment 1 Daniel Berrange 2006-09-02 17:26:04 UTC
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.